<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <configSections>
    </configSections>
  <system.serviceModel>
    <services>
      <service behaviorConfiguration="LocalhostService.Service1Behavior" name="LocalhostService.LocalhostInterfaceService">
        <endpoint address="http://127.0.0.1:8080/LocalhostService/Jweb" binding="webHttpBinding" behaviorConfiguration="webhttpBehavior" bindingConfiguration="webBinding" contract="LocalhostService.ILocalhostInterfaceService"/>        
	      <endpoint address="http://127.0.0.1:8085/LocalhostService/Jweb" binding="webHttpBinding" behaviorConfiguration="webhttpBehavior" bindingConfiguration="webBinding1" contract="LocalhostService.ILocalhostInterfaceService"/>
        <host>
        </host>
      </service>
    </services>
    <behaviors>
      <endpointBehaviors>
        <behavior name="webJSBehavior">
          <enableWebScript />
        </behavior>
        <behavior name="webhttpBehavior">
          <webHttp/>
        </behavior>
      </endpointBehaviors>
      
      <serviceBehaviors>

        <behavior name="LocalhostService.Service1Behavior">
          <!-- 为避免泄漏元数据信息，
          请在部署前将以下值设置为 false    -->
          <serviceMetadata httpGetEnabled="false"/>
          <!-- 要接收故障异常详细信息以进行调试，
          请将以下值设置为 true。在部署前
            设置为 false 可避免泄漏异常信息 -->
          <serviceDebug includeExceptionDetailInFaults="False"/>
        </behavior>
      </serviceBehaviors>
    </behaviors>
    <bindings>
      <webHttpBinding>
        <!--crossDomainScriptAccessEnabled指定脚本可以跨域访问-->
        <binding name="webBinding" crossDomainScriptAccessEnabled="true"/>
        <binding name="webBinding1" crossDomainScriptAccessEnabled="true"/>
      </webHttpBinding>
    </bindings>
    <serviceHostingEnvironment multipleSiteBindingsEnabled="true" aspNetCompatibilityEnabled="true">
      <baseAddressPrefixFilters>
        <add prefix="string"/>
      </baseAddressPrefixFilters>
    </serviceHostingEnvironment>
  </system.serviceModel>
</configuration>